Package ghidra.features.base.codecompare.panel

# Class CodeComparisonActionContext

java.lang.Object
docking.DefaultActionContext
ghidra.features.base.codecompare.panel.CodeComparisonActionContext

All Implemented Interfaces:
  `ActionContext`, `CodeComparisonViewActionContext`

Direct Known Subclasses:
  `ListingComparisonActionContext`

public abstract class CodeComparisonActionContext extends DefaultActionContext implements CodeComparisonViewActionContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeComparisonActionContext(ComponentProvider provider, CodeComparisonView comparisonProvider, Component component)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Function`
  `getSourceFunction()`
  Returns the function that is the source of the info being applied.
  `Function`
  `getTargetFunction()`
  Returns the function that is the target of the info being applied.

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.features.base.codecompare.panel.CodeComparisonViewActionContext

  `getCodeComparisonView`

- ## Constructor Details

  - ### CodeComparisonActionContext

    public CodeComparisonActionContext(ComponentProvider provider, CodeComparisonView comparisonProvider, Component component)
    Constructor
    Parameters:
      `provider` - the ComponentProvider containing the code comparison panel
      `comparisonProvider` - the provider that generated this context
      `component` - the focusable component for associated with the comparison panel

- ## Method Details

  - ### getSourceFunction

    public Function getSourceFunction()
    Returns the function that is the source of the info being applied. This will be whichever side of the function diff window that isn't active.
    Returns:
      the function to get information from

  - ### getTargetFunction

    public Function getTargetFunction()
    Returns the function that is the target of the info being applied. This will be whichever side of the function diff window that is active.
    Returns:
      the function to apply information to